Domains

Get domain

GET
/v3/aftermarket/customers/{customerId}/domains/{domain}

Gets domain settings and data for the provided domain name.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

domain*string

An aname is a DNS domain name using only LDH characters (lower-case ASCII letters, digits & hyphens) in its labels, i.e. is IDNA2008-encoded in the case of an internationalized domain name (IDN).

Examples:

  • example.org
  • xn--exmple-cua.de

Invalid Examples:

  • PartialCapExample.com
    • mixed case, should be lowercased
  • exämple.de
    • this is an IDN and should be IDNA-encoded
Match^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z0-9][a-z0-9-]{0,61}[a-z0-9]$
Formataname
customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"

Query Parameters

includes?array<>

The options for retrieving additional domain data.

Note: Search data is available to Discount Domain Club Domain Pro members.

Header Parameters

X-Request-Id?string

A unique identifier for the request

Response Body

Get the domain response.

application/json
  1. response
buynowPrice?integer

Listing price in microunit USD. Whole dollars only. Note 1 USD = 1000000

Formatint64
Range0 <= value <= 49999999000000
Default0
floorPrice?integer

Floor price in microunit USD. Whole dollars only. Note 1 USD = 1000000

Formatint64
Range0 <= value <= 49999999000000
Default0
minbidPrice?integer

Minimum bid price in microunit USD. Whole dollars only. Note 1 USD = 1000000

Formatint64
Range20000000 <= value <= 49999999000000
Default20000000
maxLeasePeriod?integer

The maximum number of payments desired. The monthly payment is calculated from this value and the buynowPrice.

Range2 <= value <= 60
Default2
leasingEnabled?boolean

This flag specifies if the domain is enabled for purchases with multiple payments.

Defaultfalse
displayName?string

Display name of the domain, which is used to customized the domain name on the Lander. Can be both IDN and Mixed case. Characters must match the aname domain value when validated. If the displayName is not provided, the name will be used as the display name. Examples:

  • PartialCapExample.com (mixed case)
  • exämple.de (IDN example)
Default""
intakeStyle?string

Intake style option for landers. The possible values are representative of values provided in Afternic Website.

Default"BUYNOW"
Value in"BUYNOW""PRICE_FORM""CUSTOM_LANDER"
showLanderMakeOfferOption?boolean

Specifies if the domain has Make Offer as an enabled sales method on the custom lander.

Defaultfalse
showLanderLeaseToOwnOption?boolean

Specifies if the domain has Lease-To-Own as an enabled sales method on the custom lander.

Defaultfalse
showLanderBuynowOption?boolean

Specifies if the domain has Buynow as an enabled sales method on the custom lander.

Defaulttrue
landingPage?string

Landing page option. The possible values are representative of values provided in Afternic Website.

Default"PARKING_TYPE"
Value in"PARKING_TYPE""SALES_TYPE"
featured?boolean

This value indicates if the domain is to be listed as a featured domain

Defaultfalse
hidden?boolean

This value specifies if the domain should be hidden from being listed.

Defaultfalse
updatedAt*string

The UTC time the listing was last updated at.

Formatdate-time
createdAt*string

The UTC time the listing was created at.

Formatdate-time
listStatus*string

Listing status for the given domain

Value in"PENDING""FAILED_COMPLIANCE""ACTIVE""HIDDEN""ON_HOLD""SOLD""INACTIVE"
tld?string

The calculated TLD (top level domain) value for the domain.

registrar?string

The approximate registrar for the domain. This value is verified through internal WHOIS lookup. This value is not guaranteed to be accurate.

fastTransferStatus?string

Fast transfer status of the domain

Value in"ACTIVE""AWAITING_OPT_IN""INACTIVE""INACTIVE_BUYNOW_HIGH""INACTIVE_BUYNOW_MISSING""INELIGIBLE_REGISTRAR""INELIGIBLE_TLD""PENDING_REVIEW""USER_EXCLUDED""UNKNOWN"
intakeLeads?integer

The number of leads created for this domain.

Range0 <= value <= 1000000000
offerCount?integer

The number of OCO offers created for this domain.

Range0 <= value <= 1000000000
intakeViews?integer

The number of intake views for this domain.

Range0 <= value <= 1000000000
listedAt?string

UTC time the domain was listed at.

Formatdate-time
transactionLink?string

Transaction link code. It will be set if there is an "import your own transaction" link on this domain.

searches?

Search statistics for this domain. Only returned when includes=searches is specified (list endpoint) or by default (single domain endpoint). Search data is available to Discount Domain Club Domain Pro members.

name*string

An aname is a DNS domain name using only LDH characters (lower-case ASCII letters, digits & hyphens) in its labels, i.e. is IDNA2008-encoded in the case of an internationalized domain name (IDN).

Examples:

  • example.org
  • xn--exmple-cua.de

Invalid Examples:

  • PartialCapExample.com
    • mixed case, should be lowercased
  • exämple.de
    • this is an IDN and should be IDNA-encoded
Match^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z0-9][a-z0-9-]{0,61}[a-z0-9]$
Formataname
Example Request
curl -X GET 'https://api.afternic.com/v3/aftermarket/customers/my/domains/string'
Example Response
{  "registrar": "GODADDY",  "fastTransferStatus": "AWAITING_OPT_IN",  "intakeLeads": 10,  "offerCount": 10,  "intakeViews": 10,  "listedAt": "2006-01-02T15:04:05Z",  "transactionLink": "string",  "searches": {    "total": {      "30d": 8,      "90d": 18,      "365d": 67    },    "unique": {      "30d": 8,      "90d": 18,      "365d": 67    }  },  "name": "example.com",  "featured": true,  "hidden": false,  "buynowPrice": 500000000,  "floorPrice": 500000000,  "minbidPrice": 500000000,  "maxLeasePeriod": 36,  "leasingEnabled": false,  "displayName": "exämple.de",  "intakeStyle": "PRICE_FORM",  "showLanderMakeOfferOption": false,  "showLanderLeaseToOwnOption": false,  "showLanderBuynowOption": false,  "landingPage": "SALES_TYPE",  "updatedAt": "2006-01-02T15:04:05Z",  "createdAt": "2006-01-02T15:04:05Z",  "listStatus": "ACTIVE",  "tld": "co.uk"}